net.sf.jasperreports.components.barcode4j

## Class PDF417Component

- java.lang.Object
- - net.sf.jasperreports.components.barcode4j.BarcodeComponent
  - - net.sf.jasperreports.components.barcode4j.PDF417Component

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Component, JRChangeEventsSupport, JRCloneable

      public class PDF417Component
      extends BarcodeComponent

  Version:
    $Id: PDF417Component.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_ERROR_CORRECTION_LEVEL`
    `static java.lang.String` | `PROPERTY_MAX_COLUMNS`
    `static java.lang.String` | `PROPERTY_MAX_ROWS`
    `static java.lang.String` | `PROPERTY_MIN_COLUMNS`
    `static java.lang.String` | `PROPERTY_MIN_ROWS`
    `static java.lang.String` | `PROPERTY_WIDTH_TO_HEIGHT_RATIO`

    - ### Fields inherited from class net.sf.jasperreports.components.barcode4j.BarcodeComponent

      `ORIENTATION_DOWN, ORIENTATION_LEFT, ORIENTATION_RIGHT, ORIENTATION_UP, PROPERTY_CODE_EXPRESSION, PROPERTY_EVALUATION_GROUP, PROPERTY_EVALUATION_TIME, PROPERTY_MODULE_WIDTH, PROPERTY_ORIENTATION, PROPERTY_PATTERN_EXPRESSION, PROPERTY_PREFIX, PROPERTY_QUIET_ZONE, PROPERTY_TEXT_POSITION, PROPERTY_VERTICAL_QUIET_ZONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDF417Component()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getErrorCorrectionLevel()`
    `java.lang.Integer` | `getMaxColumns()`
    `java.lang.Integer` | `getMaxRows()`
    `java.lang.Integer` | `getMinColumns()`
    `java.lang.Integer` | `getMinRows()`
    `java.lang.Double` | `getWidthToHeightRatio()`
    `void` | `receive(BarcodeVisitor visitor)`
    `void` | `setErrorCorrectionLevel(java.lang.Integer errorCorrectionLevel)`
    `void` | `setMaxColumns(java.lang.Integer maxColumns)`
    `void` | `setMaxRows(java.lang.Integer maxRows)`
    `void` | `setMinColumns(java.lang.Integer minColumns)`
    `void` | `setMinRows(java.lang.Integer minRows)`
    `void` | `setWidthToHeightRatio(java.lang.Double widthToHeightRatio)`

    - ### Methods inherited from class net.sf.jasperreports.components.barcode4j.BarcodeComponent

      `clone, cloneObject, getCodeExpression, getEvaluationGroup, getEvaluationTimeValue, getEventSupport, getModuleWidth, getOrientation, getPatternExpression, getQuietZone, getTextPosition, getVerticalQuietZone, setCodeExpression, setEvaluationGroup, setEvaluationTimeValue, setModuleWidth, setOrientation, setPatternExpression, setQuietZone, setTextPosition, setTextPosition, setVerticalQuietZone`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_MIN_COLUMNS

          public static final java.lang.String PROPERTY_MIN_COLUMNS

      See Also:
        Constant Field Values

    - #### PROPERTY_MAX_COLUMNS

          public static final java.lang.String PROPERTY_MAX_COLUMNS

      See Also:
        Constant Field Values

    - #### PROPERTY_MIN_ROWS

          public static final java.lang.String PROPERTY_MIN_ROWS

      See Also:
        Constant Field Values

    - #### PROPERTY_MAX_ROWS

          public static final java.lang.String PROPERTY_MAX_ROWS

      See Also:
        Constant Field Values

    - #### PROPERTY_WIDTH_TO_HEIGHT_RATIO

          public static final java.lang.String PROPERTY_WIDTH_TO_HEIGHT_RATIO

      See Also:
        Constant Field Values

    - #### PROPERTY_ERROR_CORRECTION_LEVEL

          public static final java.lang.String PROPERTY_ERROR_CORRECTION_LEVEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PDF417Component

          public PDF417Component()

  - ### Method Detail

    - #### receive

          public void receive(BarcodeVisitor visitor)

      Specified by:
        `receive` in class `BarcodeComponent`

    - #### getMinColumns

          public java.lang.Integer getMinColumns()

    - #### setMinColumns

          public void setMinColumns(java.lang.Integer minColumns)

    - #### getMaxColumns

          public java.lang.Integer getMaxColumns()

    - #### setMaxColumns

          public void setMaxColumns(java.lang.Integer maxColumns)

    - #### getMinRows

          public java.lang.Integer getMinRows()

    - #### setMinRows

          public void setMinRows(java.lang.Integer minRows)

    - #### getMaxRows

          public java.lang.Integer getMaxRows()

    - #### setMaxRows

          public void setMaxRows(java.lang.Integer maxRows)

    - #### getWidthToHeightRatio

          public java.lang.Double getWidthToHeightRatio()

    - #### setWidthToHeightRatio

          public void setWidthToHeightRatio(java.lang.Double widthToHeightRatio)

    - #### getErrorCorrectionLevel

          public java.lang.Integer getErrorCorrectionLevel()

    - #### setErrorCorrectionLevel

          public void setErrorCorrectionLevel(java.lang.Integer errorCorrectionLevel)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com